3

I would like to run an ASP.net MVC application that requires Mono 4 on Debian Jessie, but Jessie is missing the required package "libapache2-mod-mono" [1]. On [2] I found that the package was removed from Jessie some time ago (2014-01-04), according to [3] because a file named "mono.load" is missing (in Wheezy (stable) and sid (unstable), the required file has the name "mod_mono.load" and at least in Wheezy that works).

Which way should I go now in order to get that issue solved? Should I install libapache2-mod-mono etc. from sid (unstable), similar to [4]? Is it clever to download and compile that package and then put the output files to a production system? Or is there a way I can help out and get libapache2-mod-mono back in Jessie? Should I possibly report the problem to someone?

[1] https://packages.debian.org/search?keywords=libapache2-mod-mono

[2] https://packages.qa.debian.org/m/mod-mono.html

[3] https://lintian.debian.org/maintainer/pkg-mono-group@lists.alioth.debian.org.html#mod-mono

[4] How to install a single Jessie package on Wheezy?

2

As hinted by https://packages.qa.debian.org/m/mod-mono/news/20140104T163913Z.html, the problem was https://bugs.debian.org/731374, which is fixed in unstable, in version 3.8-1 as you can see as the end of the bug thread. So if you want to use the unstable version on Jessie, you can. No reason not to.

In case it isn't obvious, the bug was not fixed in time before the freeze, so therefore this package was removed from Jessie and not reinstated in time.

However, note that

(a) you probably want to use all the binary packages corresponding to the xsp source package

(b) depending on ABI changes, you may need to rebuild them on your Jessie system.

  • 1
    Finally the following approach was successful: 1. Adding "deb ftp.us.debian.org/debian stretch main" to /etc/apt/sources.list 2. In /etc/apt/preferences.d/ creating a file "stretch" with the following contents: Package: * Pin: release n=jessie Pin-Priority: 900 Package: libapache2-mod-mono Pin: release n=stretch Pin-Priority: 800 3. apt-get update && apt-get install libapache2-mod-mono – Michael Kremser Sep 28 '15 at 18:25
1

you can add mono-repository and then install that. read mod_mono (Ubuntu 13.10 and later, Debian 8.0 and later) section from.

http://www.mono-project.com/docs/getting-started/install/linux/

its here: http://origin-download.mono-project.com/repo/debian/pool/main/m/mod-mono/
you can download it by add mono repository to your debian.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.